<?php

/**
 * @file
 * Admin form.
 */

/**
 * Admin form callback.
 */
function ckeditor_accessibility_auditor_admin_form($form_state) {
  $form = array();

  $form['base_url'] = array(
    '#type' => 'textfield',
    '#title' => t('Base URL'),
    '#description' => t('Enter the URL to use as a base path for loading the HTML_CodeSniffer files. Default: //squizlabs.github.io/HTML_CodeSniffer/build/'),
    '#default_value' => variable_get('ckeditor_accessibility_auditor_base_url', '//squizlabs.github.io/HTML_CodeSniffer/build/'),
  );

  $form['standard'] = array(
    '#type' => 'textfield',
    '#title' => t('Default standard'),
    '#description' => t('Enter the default standard to be selected in the auditor (WCAG2A, WCAG2AA, WCAG2AAA, Section508)'),
    '#default_value' => variable_get('ckeditor_accessibility_auditor_standard', 'WCAG2AA'),
  );

  $form['submit'] = array(
    '#type' => 'submit',
    '#value' => t('Save configuration'),
  );

  return $form;
}

/**
 * Validate handler for admin form.
 */
function ckeditor_accessibility_auditor_admin_form_validate($form, &$form_state) {
  $base_url = $form_state['values']['base_url'];
  if (!valid_url($base_url)) {
    form_error($form['base_url'], t('Please enter a valid Base URL for the Accessibility Auditor.'));
  }
}

/**
 * Submit handler for admin form.
 */
function ckeditor_accessibility_auditor_admin_form_submit($form, &$form_state) {
  $standard = $form_state['values']['standard'];
  variable_set('ckeditor_accessibility_auditor_standard', $standard);
  $base_url = $form_state['values']['base_url'];
  variable_set('ckeditor_accessibility_auditor_base_url', $base_url);
}
